Upload Documents

API allows partners to securely upload customer documents to our system. Documents are essential for KYC verification, loan processing and compliance checks

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Payload:

HTML

<form action="url" method="post" enctype="multipart/form-data">
            <input type="file" name="file" />
            <input type="submit" />
</form>

cURL

curl --location --request POST 'https://uat-gateway.datasignstech.com/lead/docs?leadId=LD1234&docType=PAN' \
--header 'Authorization: f'Bearer {token}'
--form 'file=@"/FilePath"'

:

  1. Use the leadId from the Create Lead API response to upload documents for the registered lead.
  2. Submit both front and back images for address proof, regardless of the number of pages..
  3. When uploading a business proof, docSubType must be provided.
  4. Only one document per request is allowed.
  5. Supported file types: PDF/PNG/JPG/JPEG/TIFF/XML;
    For CURRENT_ADDRESS_PROOF(Aadhaar), only the XML format is accepted.

Query Params Mapping
Aadhaar:
docMode = OKYC
docType = CURRENT_ADDRESS_PROOF
Allowed file types: XML
Selfie:
docType = SELFIE
2nd Current Address Proof:
docType = OTHER_CURRENT_ADDRESS_PROOF
docSubType = UTILITY_BILL / RENTAL_AGREEMENT / SHOP_ESTABLISHMENT
2nd Business Address Proof:
docType = OTHER_BUSINESS_ADDRESS_PROOF
docSubType = UTILITY_BILL / RENTAL_AGREEMENT / SHOP_ESTABLISHMENT
2nd Business Proof:
docType = OTHER_BUSINESS_PROOF
docSubType = DRUG_LICENSE
Loan Agreement:
docType = LOAN_AGREEMENT
Business Shop Image :
docType = BUSINESS_SHOP_IMAGE
docName = unique str/int

Query Params
string

CPV_REPORT / SPDC / PNACH / INVOICES / CANCELLED_CHEQUE / OTHER_CURRENT_ADDRESS_PROOF / OTHER_BUSINESS_ADDRESS_PROOF / OTHER_BUSINESS_PROOF

string
required

leadId

string

UDYAM / UDYOG / GST / UTILITY_BILL / RENTAL_AGREEMENT / SHOP_ESTABLISHMENT / DRUG_LICENSE / OTHER

string

OKYC

Headers
string

Bearer {auth_token}

string

multipart/form-data

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json